# jekyll-embed-urls

This plugin finds the URL previsualization and replaces them in posts by
using [OEmbed](https://oembed.com/) and other techniques.


## Installation

Add this line to your site's Gemfile:

```ruby
gem 'jekyll-embed-urls'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install jekyll-embed-urls

## Usage

Add the plugin to your `_config.yml`:

```yaml
plugins:
- jekyll-embed-urls
```

Then, when you want to embed an URL (like a video) in a post, simply
drop it in a single line with empty lines around, as such:

```
---
layout: post
title: A video
---

Hi, I really liked this video:

https://www.invidio.us/watch?v=XYHnd4boUoM
```

**Note:** The URL can be anywhere, at the start, end or between
paragraphs but it needs to be in its own block of text.

**Another note:** [Invidious doesn't support OEmbed
yet](https://github.com/omarroth/invidious/issues/1222) :P


## Contributing

Bug reports and pull requests are welcome on 0xacab.org at
<https://0xacab.org/sutty/jekyll/jekyll-embed-urls>. This project is
intended to be a safe, welcoming space for collaboration, and
contributors are expected to adhere to the [Sutty code of
conduct](https://sutty.nl/en/code-of-conduct/).

If you like our plugins, [please consider
donating](https://donaciones.sutty.nl/en/)!

## License

The gem is available as free software under the terms of the GPL3
License.

## Code of Conduct

Everyone interacting in the jekyll-linked-posts project’s codebases,
issue trackers, chat rooms and mailing lists is expected to follow the
[code of conduct](https://sutty.nl/en/code-of-conduct/).
